Package org.eclipse.lemminx.extensions.xsd.utils

## Enum XSDUtils.BindingType

- java.lang.Object
- - java.lang.Enum<XSDUtils.BindingType>
  - - org.eclipse.lemminx.extensions.xsd.utils.XSDUtils.BindingType

All Implemented Interfaces:
  `Serializable`, `Comparable<XSDUtils.BindingType>`

Enclosing class:
  XSDUtils

    public static enum XSDUtils.BindingType
    extends Enum<XSDUtils.BindingType>

Binding type of xs attribute.

### Enum Constant Summary

Enum Constants
`COMPLEX`
`COMPLEX_AND_SIMPLE`
`ELEMENT`
`NONE`
`REF`
`SIMPLE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `isComplex()`
`boolean` `isSimple()`
`static XSDUtils.BindingType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static XSDUtils.BindingType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### COMPLEX

    public static final XSDUtils.BindingType COMPLEX

#### SIMPLE

    public static final XSDUtils.BindingType SIMPLE

#### COMPLEX_AND_SIMPLE

    public static final XSDUtils.BindingType COMPLEX_AND_SIMPLE

#### NONE

    public static final XSDUtils.BindingType NONE

#### REF

    public static final XSDUtils.BindingType REF

#### ELEMENT

    public static final XSDUtils.BindingType ELEMENT

### Method Detail

#### values

    public static XSDUtils.BindingType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (XSDUtils.BindingType c : XSDUtils.BindingType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static XSDUtils.BindingType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### isSimple

    public boolean isSimple()

#### isComplex

    public boolean isComplex()